Delete a cluster power schedule
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/power-schedules/{schedule_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/power-schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/power-schedules/{schedule_id} \
--header 'Authorization: Bearer <token>'{
"deleted": true
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Imported Clusters
Delete a cluster power schedule
The bearer twin of the portal’s power-schedule delete (ankra cluster power-schedules delete). Soft-deletes one schedule.
DELETE
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
power-schedules
/
{schedule_id}
Delete a cluster power schedule
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/power-schedules/{schedule_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/power-schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/power-schedules/{schedule_id} \
--header 'Authorization: Bearer <token>'{
"deleted": true
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}